post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method gets the status of the job/task and related information related to the misconfiguration rollback status job.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Name of the rollback job/task created for misconfiguration rollback. | Yes | string |
| accountid | Name or identifier of the account for which the rollback job status needs to be retrieved. | Yes | string |
| device | Hostname/device list used to filter rollback job status. | No | array |
| group | Device group used to filter rollback job status. | No | array |
| family | Device family used to filter rollback job status. | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Compliance.getMisconfigurationRollbackStatus(
accountid="Demo Account",
name="Test",
device=["device1","device 2"],
family=["unix"],
group=["oracle", "linux"]
)
print(response)
client.close()Requires Python 3.9 or later.